Category : packagist

I have created a laravel package https://github.com/wcaaan/firebase-token-authentication My repository is synced with packagist https://packagist.org/packages/wcaaan/firebase-token-authentication As soon as i push and create a new release it automatically shows up in packagist. The problem is what ever i do i cannot install the repository through composer. I have created two released on gitHub. I have tried all ..

Read more

I am trying to run composer require and it is giving me this error: PHP Fatal error: Allowed memory size of 2147483648 bytes exhausted (tried to allocate 4096 bytes) in phar:///usr/local/bin/composer/src/Composer/DependencyResolver/RuleSetGenerator.php on line 129 Fatal error: Allowed memory size of 2147483648 bytes exhausted (tried to allocate 4096 bytes) in phar:///usr/local/bin/composer/src/Composer/DependencyResolver/RuleSetGenerator.php on line 129 Check https://getcomposer.org/doc/articles/troubleshooting.md#memory-limit-errors ..

Read more

I created an api which is delivered with package development composer. in Laravel 7 it was possible to add the route model binding with: Route::group([‘namespace’ => ‘AcmePackageappHttpControllersApi’], function () { // fomer possibility: Route::apiResource(‘api/comments/’, ‘CommentController’)->middleware(‘bindings’);}); In Laravel 8 that’s not possible anymore. I’ve tried almost everything the last days, but either the route-model-binding is not ..

Read more

I’m Trying to install [simple-qrcode]https://github.com/SimpleSoftwareIO/simple-qrcode package but when I run this command it’s show me this message: Your requirements could not be resolved to an installable set of packages. Problem 1 – Can only install one of: bacon/bacon-qr-code[2.0.0, 2.0.2]. – Can only install one of: bacon/bacon-qr-code[2.0.2, 2.0.0]. – Can only install one of: bacon/bacon-qr-code[2.0.0, 2.0.2]. ..

Read more